## kf6-frameworkintegration 6.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.6.0") # handled by release scripts
set(KF_DEP_VERSION "6.6.0") # handled by release scripts
project(FrameworkIntegration VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.6.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})


include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

set(REQUIRED_QT_VERSION 6.5.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui Widgets)


ecm_setup_version(PROJECT VARIABLE_PREFIX FRAMEWORKINTEGRATION
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/frameworkintegration_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6FrameworkIntegrationConfigVersion.cmake"
                  SOVERSION 6)

find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6ColorScheme ${KF_DEP_VERSION} REQUIRED)
find_package(KF6IconThemes ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Notifications ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)


option(BUILD_KPACKAGE_INSTALL_HANDLERS "Build the KPackage install handler binaries (recommended)" ON)
if (BUILD_KPACKAGE_INSTALL_HANDLERS)
   find_package(KF6NewStuffCore ${KF_DEP_VERSION} REQUIRED)
   find_package(KF6Package ${KF_DEP_VERSION} REQUIRED)
   find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)

   find_package(packagekitqt6)
   find_package(AppStreamQt 1.0)
endif()

ecm_set_disabled_deprecation_versions(
    QT 6.5.0
    KF 5.102
)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6FrameworkIntegration")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF6FrameworkIntegrationConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF6FrameworkIntegrationConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF6FrameworkIntegrationConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF6FrameworkIntegrationConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF6FrameworkIntegrationTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6FrameworkIntegrationTargets.cmake NAMESPACE KF6:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/frameworkintegration_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/FrameworkIntegration COMPONENT Devel)

install(FILES plasma_workspace.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})


include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kf6-frameworkintegration 6.3.0

=== debian/changelog ===
kf6-frameworkintegration (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 15:00:18 +0200

kf6-frameworkintegration (6.0.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add/update Jonathan Esk-Riddell in upstream signing keys.
  * Build against Qt6.
  * Drop patch 01_use-qt5-appstream.patch, not needed anymore.
  * Improve package descriptions.
  * Disable KPackage install handlers until we have qt6 versions of packagekit
    / appstream.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 19 May 2024 00:43:07 +0200

frameworkintegration (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:09:04 +0100

frameworkintegration (5.107.0-2) unstable; urgency=medium

  * Team upload
  * Explicitly use the Qt5 build of AppStream

 -- Matthias Klumpp <mak@debian.org>  Sun, 17 Dec 2023 19:56:10 +0100

frameworkintegration (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:47 +0200

frameworkintegration (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:03 +0100

frameworkintegration (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:32 +0100

frameworkintegration (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:11 +0100

frameworkintegration (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:36 +0100

frameworkintegration (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:06 +0100

frameworkintegration (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:13:26 +0200

frameworkintegration (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:41 +0200

frameworkintegration (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:10 +0200

frameworkintegration (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:07 +0200

frameworkintegration (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Drop patch fix-broken-kde-new-stuff-with-deps-675802e7.patch, applied
    upstream.
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:49 +0200

frameworkintegration (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Backport upstream commit to fix broken installation of KDE New Stuff
    having dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:45 +0100

frameworkintegration (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:37 +0900

frameworkintegration (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:49:01 +0900

frameworkintegration (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:45 +0900

frameworkintegration (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:00:10 +0900

frameworkintegration (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:52:58 +0900

frameworkintegration (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).



=== debian/control ===
Source: kf6-frameworkintegration
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.3.0~),
               libappstreamqt-dev (>= 1.0~),
               libkf6colorscheme-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6newstuff-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6package-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libpackagekitqt6-dev,
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/frameworkintegration
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-frameworkintegration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-frameworkintegration.git
Rules-Requires-Root: no

Package: frameworkintegration6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: integration of Qt application with KDE workspaces
 Framework Integration is a set of plugins responsible for better integration
 of Qt applications when running on a KDE Plasma workspace.
 .
 Applications do not need to link to this directly.

Package: libkf6style-dev
Section: libdevel
Architecture: any
Depends: libappstreamqt-dev (>= 1.0~),
         libkf6colorscheme-dev (>= 6.3.0~),
         libkf6config-dev (>= 6.3.0~),
         libkf6i18n-dev (>= 6.3.0~),
         libkf6iconthemes-dev (>= 6.3.0~),
         libkf6newstuff-dev (>= 6.3.0~),
         libkf6notifications-dev (>= 6.3.0~),
         libkf6style6 (= ${binary:Version}),
         libkf6widgetsaddons-dev (>= 6.3.0~),
         libpackagekitqt6-dev,
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Description: integration of Qt application with KDE workspaces - KF6Style development files
 Framework Integration is a set of plugins responsible for better integration
 of Qt applications when running on a KDE Plasma workspace.
 .
 The library KF6Style provides integration with KDE Plasma Workspace settings
 for Qt styles.
 .
 Derive your Qt style from KStyle to automatically inherit various settings
 from the KDE Plasma Workspace, providing a consistent user experience. For
 example, this will ensure a consistent single-click or double-click activation
 setting, and the use of standard themed icons.
 .
 This package provides the development files.

Package: libkf6style6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: integration of Qt application with KDE workspaces - KF6Style shared library
 Framework Integration is a set of plugins responsible for better integration
 of Qt applications when running on a KDE Plasma workspace.
 .
 The library KF6Style provides integration with KDE Plasma Workspace settings
 for Qt styles.
 .
 Derive your Qt style from KStyle to automatically inherit various settings
 from the KDE Plasma Workspace, providing a consistent user experience. For
 example, this will ensure a consistent single-click or double-click activation
 setting, and the use of standard themed icons.
 .
 This package contains the KF6Style shared library.

## kf6-frameworkintegration 6.6.0

=== debian/changelog ===
kf6-frameworkintegration (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:03:53 +0100

kf6-frameworkintegration (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:20:54 +0100

kf6-frameworkintegration (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Fix acc test: correct headers names and library name for KF6
  * Remove testsuite autopkgtest

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:32:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: kf6-frameworkintegration
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                libappstreamqt-dev (>= 1.0~),
-               libkf6colorscheme-dev (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6iconthemes-dev (>= 6.3.0~),
-               libkf6newstuff-dev (>= 6.3.0~),
-               libkf6notifications-dev (>= 6.3.0~),
-               libkf6package-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
+               libkf6colorscheme-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6iconthemes-dev (>= 6.6.0~),
+               libkf6newstuff-dev (>= 6.6.0~),
+               libkf6notifications-dev (>= 6.6.0~),
+               libkf6package-dev (>= 6.6.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
                libpackagekitqt6-dev,
                libxkbcommon-dev,
                pkgconf,
@@ -26,8 +27,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/frameworkintegration
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-frameworkintegration
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-frameworkintegration.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-frameworkintegration
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-frameworkintegration
 Rules-Requires-Root: no
 
 Package: frameworkintegration6
@@ -43,14 +44,14 @@
 Section: libdevel
 Architecture: any
 Depends: libappstreamqt-dev (>= 1.0~),
-         libkf6colorscheme-dev (>= 6.3.0~),
-         libkf6config-dev (>= 6.3.0~),
-         libkf6i18n-dev (>= 6.3.0~),
-         libkf6iconthemes-dev (>= 6.3.0~),
-         libkf6newstuff-dev (>= 6.3.0~),
-         libkf6notifications-dev (>= 6.3.0~),
+         libkf6colorscheme-dev (>= 6.6.0~),
+         libkf6config-dev (>= 6.6.0~),
+         libkf6i18n-dev (>= 6.6.0~),
+         libkf6iconthemes-dev (>= 6.6.0~),
+         libkf6newstuff-dev (>= 6.6.0~),
+         libkf6notifications-dev (>= 6.6.0~),
          libkf6style6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.3.0~),
+         libkf6widgetsaddons-dev (>= 6.6.0~),
          libpackagekitqt6-dev,
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},

## kf6-frameworkintegration 6.10.0

=== debian/changelog ===
kf6-frameworkintegration (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:28:33 +0100

kf6-frameworkintegration (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:12:53 +0100

kf6-frameworkintegration (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:22 -0600

kf6-frameworkintegration (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:12:54 +0200

kf6-frameworkintegration (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * Fix the 'acc' autopkgtest:
    - set -std=c++17, needed when using Qt 6
    - fix the include paths
    - fix the library name
    - fix the version
  * CI: update/simplify configuration.
  * Remove the unused debian/meta/ stuff.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Aug 2024 21:16:08 +0200

kf6-frameworkintegration (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:10 +0200

kf6-frameworkintegration (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,33 @@
 Source: kf6-frameworkintegration
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.6.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.10.0~),
                libappstreamqt-dev (>= 1.0~),
-               libkf6colorscheme-dev (>= 6.6.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
-               libkf6iconthemes-dev (>= 6.6.0~),
-               libkf6newstuff-dev (>= 6.6.0~),
-               libkf6notifications-dev (>= 6.6.0~),
-               libkf6package-dev (>= 6.6.0~),
-               libkf6widgetsaddons-dev (>= 6.6.0~),
+               libkf6colorscheme-dev (>= 6.10.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6iconthemes-dev (>= 6.10.0~),
+               libkf6newstuff-dev (>= 6.10.0~),
+               libkf6notifications-dev (>= 6.10.0~),
+               libkf6package-dev (>= 6.10.0~),
+               libkf6widgetsaddons-dev (>= 6.10.0~),
                libpackagekitqt6-dev,
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/frameworkintegration
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-frameworkintegration
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-frameworkintegration
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-frameworkintegration
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-frameworkintegration.git
 Rules-Requires-Root: no
 
 Package: frameworkintegration6
@@ -44,16 +43,16 @@
 Section: libdevel
 Architecture: any
 Depends: libappstreamqt-dev (>= 1.0~),
-         libkf6colorscheme-dev (>= 6.6.0~),
-         libkf6config-dev (>= 6.6.0~),
-         libkf6i18n-dev (>= 6.6.0~),
-         libkf6iconthemes-dev (>= 6.6.0~),
-         libkf6newstuff-dev (>= 6.6.0~),
-         libkf6notifications-dev (>= 6.6.0~),
+         libkf6colorscheme-dev (>= 6.10.0~),
+         libkf6config-dev (>= 6.10.0~),
+         libkf6i18n-dev (>= 6.10.0~),
+         libkf6iconthemes-dev (>= 6.10.0~),
+         libkf6newstuff-dev (>= 6.10.0~),
+         libkf6notifications-dev (>= 6.10.0~),
          libkf6style6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.6.0~),
+         libkf6widgetsaddons-dev (>= 6.10.0~),
          libpackagekitqt6-dev,
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Description: integration of Qt application with KDE workspaces - KF6Style development files
  Framework Integration is a set of plugins responsible for better integration

## kf6-frameworkintegration 6.11.0

=== debian/changelog ===
kf6-frameworkintegration (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:25:31 +0100

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                libappstreamqt-dev (>= 1.0~),
-               libkf6colorscheme-dev (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6iconthemes-dev (>= 6.10.0~),
-               libkf6newstuff-dev (>= 6.10.0~),
-               libkf6notifications-dev (>= 6.10.0~),
-               libkf6package-dev (>= 6.10.0~),
-               libkf6widgetsaddons-dev (>= 6.10.0~),
+               libkf6colorscheme-dev (>= 6.11.0~),
+               libkf6config-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
+               libkf6iconthemes-dev (>= 6.11.0~),
+               libkf6newstuff-dev (>= 6.11.0~),
+               libkf6notifications-dev (>= 6.11.0~),
+               libkf6package-dev (>= 6.11.0~),
+               libkf6widgetsaddons-dev (>= 6.11.0~),
                libpackagekitqt6-dev,
                libxkbcommon-dev,
                pkgconf,
@@ -43,14 +43,14 @@
 Section: libdevel
 Architecture: any
 Depends: libappstreamqt-dev (>= 1.0~),
-         libkf6colorscheme-dev (>= 6.10.0~),
-         libkf6config-dev (>= 6.10.0~),
-         libkf6i18n-dev (>= 6.10.0~),
-         libkf6iconthemes-dev (>= 6.10.0~),
-         libkf6newstuff-dev (>= 6.10.0~),
-         libkf6notifications-dev (>= 6.10.0~),
+         libkf6colorscheme-dev (>= 6.11.0~),
+         libkf6config-dev (>= 6.11.0~),
+         libkf6i18n-dev (>= 6.11.0~),
+         libkf6iconthemes-dev (>= 6.11.0~),
+         libkf6newstuff-dev (>= 6.11.0~),
+         libkf6notifications-dev (>= 6.11.0~),
          libkf6style6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.10.0~),
+         libkf6widgetsaddons-dev (>= 6.11.0~),
          libpackagekitqt6-dev,
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},

## kf6-frameworkintegration 6.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.6.0") # handled by release scripts
-set(KF_DEP_VERSION "6.6.0") # handled by release scripts
+set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_DEP_VERSION "6.12.0") # handled by release scripts
 project(FrameworkIntegration VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.6.0  NO_MODULE)
+find_package(ECM 6.12.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -24,7 +24,7 @@
 include(KDEGitCommitHooks)
 include(ECMDeprecationSettings)
 
-set(REQUIRED_QT_VERSION 6.5.0)
+set(REQUIRED_QT_VERSION 6.6.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui Widgets)
 
 
@@ -51,8 +51,8 @@
 endif()
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.5.0
-    KF 5.102
+    QT 6.8.0
+    KF 6.11.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kf6-frameworkintegration (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:49:24 +0000

kf6-frameworkintegration (6.11.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Wed, 12 Mar 2025 16:54:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: kf6-frameworkintegration
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
                libappstreamqt-dev (>= 1.0~),
-               libkf6colorscheme-dev (>= 6.11.0~),
-               libkf6config-dev (>= 6.11.0~),
-               libkf6i18n-dev (>= 6.11.0~),
-               libkf6iconthemes-dev (>= 6.11.0~),
-               libkf6newstuff-dev (>= 6.11.0~),
-               libkf6notifications-dev (>= 6.11.0~),
-               libkf6package-dev (>= 6.11.0~),
-               libkf6widgetsaddons-dev (>= 6.11.0~),
+               libkf6colorscheme-dev (>= 6.12.0~),
+               libkf6config-dev (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
+               libkf6iconthemes-dev (>= 6.12.0~),
+               libkf6newstuff-dev (>= 6.12.0~),
+               libkf6notifications-dev (>= 6.12.0~),
+               libkf6package-dev (>= 6.12.0~),
+               libkf6widgetsaddons-dev (>= 6.12.0~),
                libpackagekitqt6-dev,
                libxkbcommon-dev,
                pkgconf,
@@ -26,8 +27,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/frameworkintegration
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-frameworkintegration
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-frameworkintegration.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-frameworkintegration
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-frameworkintegration
 Rules-Requires-Root: no
 
 Package: frameworkintegration6
@@ -43,14 +44,14 @@
 Section: libdevel
 Architecture: any
 Depends: libappstreamqt-dev (>= 1.0~),
-         libkf6colorscheme-dev (>= 6.11.0~),
-         libkf6config-dev (>= 6.11.0~),
-         libkf6i18n-dev (>= 6.11.0~),
-         libkf6iconthemes-dev (>= 6.11.0~),
-         libkf6newstuff-dev (>= 6.11.0~),
-         libkf6notifications-dev (>= 6.11.0~),
+         libkf6colorscheme-dev (>= 6.12.0~),
+         libkf6config-dev (>= 6.12.0~),
+         libkf6i18n-dev (>= 6.12.0~),
+         libkf6iconthemes-dev (>= 6.12.0~),
+         libkf6newstuff-dev (>= 6.12.0~),
+         libkf6notifications-dev (>= 6.12.0~),
          libkf6style6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.11.0~),
+         libkf6widgetsaddons-dev (>= 6.12.0~),
          libpackagekitqt6-dev,
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_KPACKAGE_INSTALL_HANDLERS=OFF

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## kf6-frameworkintegration 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
-set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.13.0") # handled by release scripts
+set(KF_DEP_VERSION "6.13.0") # handled by release scripts
 project(FrameworkIntegration VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.13.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -51,8 +51,8 @@
 endif()
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
-    KF 6.11.0
+    QT 6.9.0
+    KF 6.12.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kf6-frameworkintegration (6.13.0-2) unstable; urgency=medium

  [ Alexander Volkov ]
  * Fix missing build / install of kpackagehandlers which breaks installation
    of Plasma extensions.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Jul 2025 13:59:37 +0200

kf6-frameworkintegration (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:38:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,33 @@
 Source: kf6-frameworkintegration
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.12.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.13.0~),
                libappstreamqt-dev (>= 1.0~),
-               libkf6colorscheme-dev (>= 6.12.0~),
-               libkf6config-dev (>= 6.12.0~),
-               libkf6i18n-dev (>= 6.12.0~),
-               libkf6iconthemes-dev (>= 6.12.0~),
-               libkf6newstuff-dev (>= 6.12.0~),
-               libkf6notifications-dev (>= 6.12.0~),
-               libkf6package-dev (>= 6.12.0~),
-               libkf6widgetsaddons-dev (>= 6.12.0~),
+               libkf6colorscheme-dev (>= 6.13.0~),
+               libkf6config-dev (>= 6.13.0~),
+               libkf6i18n-dev (>= 6.13.0~),
+               libkf6iconthemes-dev (>= 6.13.0~),
+               libkf6newstuff-dev (>= 6.13.0~),
+               libkf6notifications-dev (>= 6.13.0~),
+               libkf6package-dev (>= 6.13.0~),
+               libkf6widgetsaddons-dev (>= 6.13.0~),
                libpackagekitqt6-dev,
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.6.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/frameworkintegration
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-frameworkintegration
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-frameworkintegration
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-frameworkintegration
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-frameworkintegration.git
 Rules-Requires-Root: no
 
 Package: frameworkintegration6
@@ -44,14 +43,14 @@
 Section: libdevel
 Architecture: any
 Depends: libappstreamqt-dev (>= 1.0~),
-         libkf6colorscheme-dev (>= 6.12.0~),
-         libkf6config-dev (>= 6.12.0~),
-         libkf6i18n-dev (>= 6.12.0~),
-         libkf6iconthemes-dev (>= 6.12.0~),
-         libkf6newstuff-dev (>= 6.12.0~),
-         libkf6notifications-dev (>= 6.12.0~),
+         libkf6colorscheme-dev (>= 6.13.0~),
+         libkf6config-dev (>= 6.13.0~),
+         libkf6i18n-dev (>= 6.13.0~),
+         libkf6iconthemes-dev (>= 6.13.0~),
+         libkf6newstuff-dev (>= 6.13.0~),
+         libkf6notifications-dev (>= 6.13.0~),
          libkf6style6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.12.0~),
+         libkf6widgetsaddons-dev (>= 6.13.0~),
          libpackagekitqt6-dev,
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## kf6-frameworkintegration 6.15.0

=== debian/changelog ===
kf6-frameworkintegration (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:30:49 +0100

kf6-frameworkintegration (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:55:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,34 @@
 Source: kf6-frameworkintegration
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.13.0~),
+               extra-cmake-modules (>= 6.15.0~),
                libappstreamqt-dev (>= 1.0~),
-               libkf6colorscheme-dev (>= 6.13.0~),
-               libkf6config-dev (>= 6.13.0~),
-               libkf6i18n-dev (>= 6.13.0~),
-               libkf6iconthemes-dev (>= 6.13.0~),
-               libkf6newstuff-dev (>= 6.13.0~),
-               libkf6notifications-dev (>= 6.13.0~),
-               libkf6package-dev (>= 6.13.0~),
-               libkf6widgetsaddons-dev (>= 6.13.0~),
+               libkf6colorscheme-dev (>= 6.15.0~),
+               libkf6config-dev (>= 6.15.0~),
+               libkf6i18n-dev (>= 6.15.0~),
+               libkf6iconthemes-dev (>= 6.15.0~),
+               libkf6newstuff-dev (>= 6.15.0~),
+               libkf6notifications-dev (>= 6.15.0~),
+               libkf6package-dev (>= 6.15.0~),
+               libkf6widgetsaddons-dev (>= 6.15.0~),
                libpackagekitqt6-dev,
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.6.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/frameworkintegration
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-frameworkintegration
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-frameworkintegration.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-frameworkintegration
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-frameworkintegration
 Rules-Requires-Root: no
 
 Package: frameworkintegration6
@@ -43,14 +44,14 @@
 Section: libdevel
 Architecture: any
 Depends: libappstreamqt-dev (>= 1.0~),
-         libkf6colorscheme-dev (>= 6.13.0~),
-         libkf6config-dev (>= 6.13.0~),
-         libkf6i18n-dev (>= 6.13.0~),
-         libkf6iconthemes-dev (>= 6.13.0~),
-         libkf6newstuff-dev (>= 6.13.0~),
-         libkf6notifications-dev (>= 6.13.0~),
+         libkf6colorscheme-dev (>= 6.15.0~),
+         libkf6config-dev (>= 6.15.0~),
+         libkf6i18n-dev (>= 6.15.0~),
+         libkf6iconthemes-dev (>= 6.15.0~),
+         libkf6newstuff-dev (>= 6.15.0~),
+         libkf6notifications-dev (>= 6.15.0~),
          libkf6style6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.13.0~),
+         libkf6widgetsaddons-dev (>= 6.15.0~),
          libpackagekitqt6-dev,
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},

## kf6-frameworkintegration 6.16.0

=== debian/changelog ===
kf6-frameworkintegration (6.16.0-0ubuntu3) questing; urgency=medium

  * Rebuild for release..

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Jul 2025 17:38:40 +0100

kf6-frameworkintegration (6.16.0-0ubuntu2) questing; urgency=medium

  * Sync changes from Debian 6.13.0-2.
    - [ Alexander Volkov ] Fix missing build / install of kpackagehandlers
      which breaks installation of Plasma extensions.

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Jul 2025 16:02:36 +0100

kf6-frameworkintegration (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:39:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,27 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.15.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.16.0~),
                libappstreamqt-dev (>= 1.0~),
-               libkf6colorscheme-dev (>= 6.15.0~),
-               libkf6config-dev (>= 6.15.0~),
-               libkf6i18n-dev (>= 6.15.0~),
-               libkf6iconthemes-dev (>= 6.15.0~),
-               libkf6newstuff-dev (>= 6.15.0~),
-               libkf6notifications-dev (>= 6.15.0~),
-               libkf6package-dev (>= 6.15.0~),
-               libkf6widgetsaddons-dev (>= 6.15.0~),
+               libkf6colorscheme-dev (>= 6.16.0~),
+               libkf6config-dev (>= 6.16.0~),
+               libkf6i18n-dev (>= 6.16.0~),
+               libkf6iconthemes-dev (>= 6.16.0~),
+               libkf6newstuff-dev (>= 6.16.0~),
+               libkf6notifications-dev (>= 6.16.0~),
+               libkf6package-dev (>= 6.16.0~),
+               libkf6widgetsaddons-dev (>= 6.16.0~),
                libpackagekitqt6-dev,
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.6.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/frameworkintegration
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-frameworkintegration
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-frameworkintegration
@@ -44,14 +44,14 @@
 Section: libdevel
 Architecture: any
 Depends: libappstreamqt-dev (>= 1.0~),
-         libkf6colorscheme-dev (>= 6.15.0~),
-         libkf6config-dev (>= 6.15.0~),
-         libkf6i18n-dev (>= 6.15.0~),
-         libkf6iconthemes-dev (>= 6.15.0~),
-         libkf6newstuff-dev (>= 6.15.0~),
-         libkf6notifications-dev (>= 6.15.0~),
+         libkf6colorscheme-dev (>= 6.16.0~),
+         libkf6config-dev (>= 6.16.0~),
+         libkf6i18n-dev (>= 6.16.0~),
+         libkf6iconthemes-dev (>= 6.16.0~),
+         libkf6newstuff-dev (>= 6.16.0~),
+         libkf6notifications-dev (>= 6.16.0~),
          libkf6style6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.15.0~),
+         libkf6widgetsaddons-dev (>= 6.16.0~),
          libpackagekitqt6-dev,
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},

## kf6-frameworkintegration 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.13.0") # handled by release scripts
-set(KF_DEP_VERSION "6.13.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_DEP_VERSION "6.17.0") # handled by release scripts
 project(FrameworkIntegration VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.13.0  NO_MODULE)
+find_package(ECM 6.17.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -23,8 +23,9 @@
 include(KDECMakeSettings)
 include(KDEGitCommitHooks)
 include(ECMDeprecationSettings)
+include(ECMGenerateQDoc)
 
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui Widgets)
 
 
@@ -52,7 +53,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.9.0
-    KF 6.12.0
+    KF 6.16.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
kf6-frameworkintegration (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:12:59 +0100

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
                libappstreamqt-dev (>= 1.0~),
-               libkf6colorscheme-dev (>= 6.16.0~),
-               libkf6config-dev (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
-               libkf6iconthemes-dev (>= 6.16.0~),
-               libkf6newstuff-dev (>= 6.16.0~),
-               libkf6notifications-dev (>= 6.16.0~),
-               libkf6package-dev (>= 6.16.0~),
-               libkf6widgetsaddons-dev (>= 6.16.0~),
+               libkf6colorscheme-dev (>= 6.17.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
+               libkf6iconthemes-dev (>= 6.17.0~),
+               libkf6newstuff-dev (>= 6.17.0~),
+               libkf6notifications-dev (>= 6.17.0~),
+               libkf6package-dev (>= 6.17.0~),
+               libkf6widgetsaddons-dev (>= 6.17.0~),
                libpackagekitqt6-dev,
                libxkbcommon-dev,
                pkgconf,
@@ -44,14 +44,14 @@
 Section: libdevel
 Architecture: any
 Depends: libappstreamqt-dev (>= 1.0~),
-         libkf6colorscheme-dev (>= 6.16.0~),
-         libkf6config-dev (>= 6.16.0~),
-         libkf6i18n-dev (>= 6.16.0~),
-         libkf6iconthemes-dev (>= 6.16.0~),
-         libkf6newstuff-dev (>= 6.16.0~),
-         libkf6notifications-dev (>= 6.16.0~),
+         libkf6colorscheme-dev (>= 6.17.0~),
+         libkf6config-dev (>= 6.17.0~),
+         libkf6i18n-dev (>= 6.17.0~),
+         libkf6iconthemes-dev (>= 6.17.0~),
+         libkf6newstuff-dev (>= 6.17.0~),
+         libkf6notifications-dev (>= 6.17.0~),
          libkf6style6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.16.0~),
+         libkf6widgetsaddons-dev (>= 6.17.0~),
          libpackagekitqt6-dev,
          qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/frameworkintegration-([\d.]+)\.tar\.xz
